Should I set up my computer prior to accessing my online course?

Posted by & filed under .

Yes,

1. Blackboard Learn requires the latest version of Sun JRE 6. The JRE can be downloaded from http://java.sun.com/javase/downloads/index.jsp.

2. For Recommend Computer Hardware Standards Click Here

3. The following technologies are not supported:

a. Internet Explorer 6 and Internet Explorer 7

b. Firefox 1.x, 2.0, 3.0, and 3.5

c. Safari 2.0, 3.x (or any version on Windows)

d. Mac OSX 10.4 “Tiger”

e. Java 5

 

Comments are closed.